#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long N,M;
    cin>>N>>M;
    long long vaga[N][2],brojac[M];
    for(long long i=0;i<N;i++){
        cin>>vaga[i][0];
        cin>>vaga[i][1];
    }
    for(long long i=0;i<M;i++){
        long long Od,Do,x,br=0;
        cin>>Od>>Do>>x;
        Od-=1;
        Do-=1;
        while(Od<=Do){
            if(vaga[Od][0]<=x && vaga[Od][1]>=x)br++;
            Od++;
        }
        brojac[i]=br;
    }
    for(long long i=0;i<M;i++)cout<<brojac[i]<<endl;
    return 0;
}